Gem doesn't update rails


#1

lists@libros:~> gem update rails -include-dependencies
Upgrading installed gems…
Attempting remote upgrade of rails
Attempting remote installation of ‘rails’
Successfully installed rails-1.0.0
Gems: [rails] updated
lists@libros:~> which rails
/usr/local/bin/rails
lists@libros:~> rails -v
Rails 1.0.0

Is this because the 1.1 is still beta or am I doing something wrong?

john


#2

John N. Alegre wrote:

lists@libros:~> gem update rails -include-dependencies
Upgrading installed gems…
Attempting remote upgrade of rails
Attempting remote installation of ‘rails’
Successfully installed rails-1.0.0
Gems: [rails] updated
lists@libros:~> which rails
/usr/local/bin/rails
lists@libros:~> rails -v
Rails 1.0.0

Is this because the 1.1 is still beta or am I doing something wrong?

john

Yes. It’s still beta. To get the beta gem add

–source http://gems.rubyonrails.org/

to the end of the gem command


#3

On Friday 24 March 2006 09:38, Alan F. wrote:

Yes. Â It’s still beta. Â To get the beta gem add

–source http://gems.rubyonrails.org/

to the end of the gem command

So then when it is no longer beta gem upgrade rails will do it?

john


#4

John N. Alegre wrote:

On Friday 24 March 2006 09:38, Alan F. wrote:

Yes. Â It’s still beta. Â To get the beta gem add

–source http://gems.rubyonrails.org/

to the end of the gem command

So then when it is no longer beta gem upgrade rails will do it?

john

Yup. Although the team would love you to try the beta and report any
bugs :slight_smile:

A.